Bug 84454 - gnome running under kde after using nautilus
Summary: gnome running under kde after using nautilus
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-17 17:12 UTC by Steve Brown
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:12:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Brown 2003-02-17 17:12:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030217

Description of problem:
In RedHat 8.0, Gnome's Nautilus browser has an advantage over KDE's Konqueror in
that it allows you to view all available SMB connections on the network by
typing 'SMB:' in the location box.  I tried this, while running under KDE. 
After Nautilus loaded, it looked like my desktop switched to Gnome.  Now,
whenever I go into KDE (my default desktop), it's like I'm running Gnome but
with KDE's panel.  I can't get KDE back to running normally.  I tried an
'update' installation from my 8.0 CD but that didn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
On a computer that is on a network with other SMB computers:
1.Login to KDE.
2.Run Nautilus (Alt+F2, 'nautilus').
3.Enter 'SMB:' in the location box (no quotes).
4.Close Nautilus.
5.Log out.
6.Log back into KDE.   

Actual Results:  Desktop has Gnome icons set against wallpaper selected under
Gnome.  Right-click brings up Gnome configuration.  KDE panel is present.

Expected Results:  Desktop should have KDE icons set against wallpaper selected
under KDE.  Right click should bring up KDE configuration.  KDE panel should be
present.

Additional info:

Linux Release 2.4.18-19.8.0
KDE Release 3.0.3-8 RedHat

Comment 1 Havoc Pennington 2003-02-17 17:23:39 UTC
You need to remove nautilus from the kde session, I'm not sure how to do that 
in kde.

Comment 2 Havoc Pennington 2003-02-18 19:55:02 UTC
We need to work with GNOME and KDE to establish a standard way to avoid 
starting two desktop managers.

Comment 3 Mark McLoughlin 2004-07-27 08:40:42 UTC
(Moving from gnome-desktop to gnome-session which is a vaguely more
appropriate place for the bug)

Comment 4 Ray Strode [halfline] 2005-09-09 18:13:09 UTC
Updating product to something recent...

Comment 5 Ray Strode [halfline] 2007-03-28 16:12:36 UTC
So we could own a selection like window managers and compositing managers do. 
Realistically, though, this doesn't seem like something that we're going to find
time to spend on.

I'm going to close this WONTFIX for now.

This could probably be filed as an upstream nautilus bug, though.


Note You need to log in before you can comment on or make changes to this bug.